---
primaryTopic:
  Accounts:
    AccountCategory: TOTAL EXEMPTION FULL
    AccountRefDay: 31
    AccountRefMonth: 03
    LastMadeUpDate: 31/03/2023
    NextDueDate: 31/12/2024
  CompanyCategory: Private Limited Company
  CompanyName: RIPTIDE PROPERTIES LIMITED
  CompanyNumber: 06821333
  CompanyStatus: Active
  CountryOfOrigin: United Kingdom
  IncorporationDate: 17/02/2009
  RegAddress:
    AddressLine1: WAYSIDE FARM
    AddressLine2: EVERCREECH
    PostTown: SHEPTON MALLET
    County: SOMERSET
    Postcode: BA4 6QW
  Returns:
    LastMadeUpDate: 04/01/2024
    NextDueDate: 18/01/2025
  SICCodes:
    SicText:
      - '68209 - Other letting and operating of own or leased real estate'
